This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 749156 (CVE-2011-4077)

Summary: CVE-2011-4077 kernel: xfs: potential buffer overflow in xfs_readlink()
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anton, arozansk, bhu, cmaiolin, davej, dhoward, fhrbata, gansalmon, itamar, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, kmcmartin, lgoncalv, lwang, madhu.chinakonda, plougher, rt-maint, sforsber, tcallawa, vgoyal, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20110408,reported=20110408,source=redhat,cvss2=6.2/AV:L/AC:H/Au:N/C:C/I:C/A:C,rhel-5/kernel=affected,rhel-6.2.z/kernel=affected,rhel-6.3/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,rhel-4/kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-24 00:10:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 694702, 749159, 749160, 749161, 749162, 749166, 761375    
Bug Blocks: 749153    

Description Petr Matousek 2011-10-26 06:43:24 EDT
A flaw was found in the way Linux kernel's XFS filesystem implementation handled links with pathname larger than MAXPATHLEN. When CONFIG_XFS_DEBUG configuration option was not enabled when compiling Linux kernel, an attacker able to mount malicious XFS image could use this flaw to crash the system, or potentially, elevate his privileges on that system.

Proposed upstream patch:
http://oss.sgi.com/archives/xfs/2011-10/msg00345.html
Comment 4 Petr Matousek 2011-10-26 06:50:47 EDT
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 as it did not include support for XFS filesystem. This has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2012-0007.html, https://rhn.redhat.com/errata/RHSA-2012-0350.html, and https://rhn.redhat.com/errata/RHSA-2012-0333.html.
Comment 5 Petr Matousek 2011-10-26 06:58:34 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 749166]
Comment 8 errata-xmlrpc 2012-01-10 15:08:54 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0007 https://rhn.redhat.com/errata/RHSA-2012-0007.html
Comment 12 errata-xmlrpc 2012-02-23 15:23:07 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0333 https://rhn.redhat.com/errata/RHSA-2012-0333.html
Comment 13 errata-xmlrpc 2012-03-06 13:44:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html